Bug 90274 - make test fails on Solaris
make test fails on Solaris
Product: Red Hat Raw Hide
Classification: Retired
Component: logrotate (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Elliot Lee
Jay Turner
Depends On:
  Show dependency treegraph
Reported: 2003-05-06 07:50 EDT by Laurent Goujon
Modified: 2015-01-07 19:05 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-07-09 11:27:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Laurent Goujon 2003-05-06 07:50:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686) Gecko/20030311 Galeon/1.3.3

Description of problem:
Make test fails on Solaris

error-> test.1.log.gz.Z no such file or directory

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. make test

Additional info:

On linux zcat is equivalent to gunzip -c, but not on Solaris because zcat relies
on compress. Solaris has gzcat for that but not Linux, so the best is to use
gunzip -c instead of zcat in the test script
Comment 1 Michael Lee Yohe 2003-05-06 09:25:47 EDT
I'm trying to understand how this is a problem with a _Red Hat Linux_ source RPM
Comment 2 Laurent Goujon 2003-05-06 09:36:54 EDT
It's not a problem with a _Red Hat Linux_ RPM source RPM directly. But It's
seems that it's Redhat which develop this software (For example, Mandrake use
RedHat logrotate RPMS for their own packages) and I just want to submit a bug
for that, to help community (and not only Redhat Users). Pehaps (Certainly),
I've not post this bug on the right place, but I didn't find this right place.
Sorry for that !
Comment 3 Laurent Goujon 2003-05-06 09:57:15 EDT
I reopen this bug (I'm not sure why it has been closed) and assigned it to
Rawhide like bug #75332
Comment 4 Elliot Lee 2003-05-16 16:17:14 EDT
RH bugzilla is fine for bugs in RH-originated sources.
Comment 5 Elliot Lee 2003-07-09 11:27:36 EDT
Changed zcat to gunzip -c

Note You need to log in before you can comment on or make changes to this bug.